import { OnInit } from "@angular/core";
import { StiModelService } from "../../services/model.service";
import { StiHelperService } from "../../services/sti-helper.service";
import { StiLocalizationService } from "../../services/sti-localization.service";
import { StiThemeService } from "../../services/theme.service";
import { StiFormCheckerService } from "../../services/sti-form-checker.service";
import * as i0 from "@angular/core";
export declare class StiFooterComponent implements OnInit {
    model: StiModelService;
    helper: StiHelperService;
    theme: StiThemeService;
    loc: StiLocalizationService;
    formCheckerService: StiFormCheckerService;
    currentTheme: any;
    isIncrement: boolean;
    isDecrement: boolean;
    timeout: any;
    interval: any;
    get themes(): string[];
    get cloud(): string;
    get size(): string;
    get calculatedSize(): string;
    get isMobileViewer(): boolean;
    get step(): 1 | 10;
    setSize(value: number): void;
    constructor(model: StiModelService, helper: StiHelperService, theme: StiThemeService, loc: StiLocalizationService, formCheckerService: StiFormCheckerService);
    zoomByWidth(): void;
    setDefaultZoom(): void;
    zoomByOnePage(): void;
    changeTheme(): void;
    clearTimers(): void;
    iterate(): void;
    setIncrementInterval(): void;
    setDecrementInterval(): void;
    ngOnInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<StiFooterComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<StiFooterComponent, "sti-footer", never, {}, {}, never, never, false, never>;
}
